Uploaded image for project: 'Bigtop'
  1. Bigtop
  2. BIGTOP-3547

ODPI smoke test does not use bigtop libraries/references old libraries

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Minor
    • Resolution: Duplicate
    • Affects Version/s: 1.5.0
    • Fix Version/s: None
    • Component/s: build
    • Labels:
      None
    • Environment:

      centos7

      Description

      Luca Toscano

      Yes you are right there is another issue, I can repro as well! The list of dependencies in the odpi-runtime specs seems a little old, but I am not an expert in gradle. I think that Hive upstream hasn't been patched for this issue yet (https://github.com/apache/hive/pull/2326) so if this test pulls down some deps from somewhere (not relying on bigtop's packages/libs) it may be a problem.
      
      Let's see if people with more expertise can help 
      

      Perhaps it's worth reviewing odpi runtime spec to bring it inline/up to date.

      See related case linked.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                Unassigned
                Reporter:
                mandruff Matt Andruff
              • Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: